Generates a new, unique secret_key for this webhook. The old key will be invalidated immediately. This action is irreversible.
Request
Add parameter in header X-API-Key
Example:X-API-Key: ********************
or
Add the parameter Authorization
to Headers Example:Authorization: ********************
or
Body Params application/jsonRequired
{
"url": "http://example.com",
"is_active": true,
"include_markdown": true,
"include_isins": false,
"track_all_companies": false,
"trigger_on_filing_received": false,
"trigger_on_filing_processed": true,
"subscribed_filing_types": [
"string"
]
}
Request Code Samples
curl --location 'https://api.financialreports.eu/webhooks//regenerate-secret/' \
--header 'x-api-key;' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"url": "http://example.com",
"is_active": true,
"include_markdown": true,
"include_isins": false,
"track_all_companies": false,
"trigger_on_filing_received": false,
"trigger_on_filing_processed": true,
"subscribed_filing_types": [
"string"
]
}'
Responses
Successfully regenerated the secret key.
{
"secret_key": "f6e5d4c3b2a1f6e5d4c3b2a1f6e5d4c3b2a1f6e5d4c3b2a1f6e5d4c3b2a1f6e5"
}
Modified at 2026-09-11 14:56:11